{
  "schema_version": "1.4.0",
  "id": "GHSA-jwhg-33x6-pr4q",
  "modified": "2022-05-13T01:38:13Z",
  "published": "2022-05-13T01:38:13Z",
  "aliases": [
    "CVE-2017-12177"
  ],
  "details": "xorg-x11-server before 1.19.5 was vulnerable to integer overflow in ProcDbeGetVisualInfo function allowing malicious X client to cause X server to crash or possibly execute arbitrary code.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2017-12177"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=1509218"
    },
    {
      "type": "WEB",
      "url": "https://cgit.freedesktop.org/xorg/xserver/commit/?id=4ca68b878e851e2136c234f40a25008297d8d831"
    },
    {
      "type": "WEB",
      "url": "https://lists.debian.org/debian-lts-announce/2017/11/msg00032.html"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/201711-05"
    },
    {
      "type": "WEB",
      "url": "https://www.debian.org/security/2017/dsa-4000"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190",
      "CWE-391"
    ],
    "severity": "CRITICAL",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2018-01-24T15:29:00Z"
  }
}